Summary:        An embeddable LISP environment
Name:           librep
Version:        0.17
Release:        1%{?dist}
Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://librep.sourceforge.net/
Source0:        http://librep.sourceforge.net/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gmp-devel gdbm-devel readline-devel texinfo
Provides:       librep = %{version}-%{release}

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

%package devel
Summary:        Development Libraries and Headers for librep
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       librep-devel = %{version}-%{release}

%description devel
librep development headers and libraries


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
/sbin/install-info %{_infodir}/librep.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/librep.info.gz %{_infodir}/dir
fi


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc NEWS README THANKS TODO BUGS
%{_bindir}/rep
%{_bindir}/rep-remote
%{_libdir}/librep.so.*
%{_libdir}/librep.la
%{_datadir}/rep/%{version}
%{_libexecdir}/rep/%{version}/%{_host}
%{_infodir}/librep*
#%{_infodir}/dir
%{_datadir}/emacs/site-lisp/rep-*



%files devel
%defattr(-,root,root,-)
%{_bindir}/rep-config
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_libdir}/librep.so
%{_includedir}/rep.h
%{_includedir}/rep_*.h
%{_libexecdir}/rep/%{_host}/libtool
%{_libexecdir}/rep/%{_host}/rules.mk
%{_libexecdir}/rep/%{_host}/install-aliases
%{_libexecdir}/rep/%{_host}/rep_config.h
%{_datadir}/aclocal/rep.m4


%changelog
* Thu Jan 31 2008 Rahul Sundaram <sundaram@fedoraproject.org> - 0.17-1
- Initial Fedora build for Ritesh

